Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cocoon.profiling
Enum ProfileMethodType

    java.lang.Object
      java.lang.Enum<ProfileMethodType>
          org.apache.cocoon.profiling.ProfileMethodType

All Implemented Interfaces:
  Serializable, Comparable<ProfileMethodType>

    public enum ProfileMethodType

extends Enum<ProfileMethodType>

Enum Constant Summary
`AFTER_INVOCATION`
`BEFORE_INVOCATION`
`ON_EXCEPTION`

Method Summary
`static ProfileMethodType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ProfileMethodType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BEFORE_INVOCATION

    public static final ProfileMethodType BEFORE_INVOCATION

### AFTER_INVOCATION

    public static final ProfileMethodType AFTER_INVOCATION

### ON_EXCEPTION

    public static final ProfileMethodType ON_EXCEPTION

Method Detail

### values

    public static final ProfileMethodType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ProfileMethodType c : ProfileMethodType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ProfileMethodType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.